#################### FILE ABSTRACT ############################################
##
## Synopsis::         GUI to R interface
##
## File Name::        %M%
## Version::          %I%
## Type::             source
## Date Completed::   %G%
##
## Environment::
##     Language::     Splus
##     Computer::     Compaq/Alpha
##     OS::           DigitalUNIX
##     OSVersion::    4.0
##
## Module Information::
##     Owner::        MDACC
##     Department::   Biostatistics
##     Researcher::   Kim-Anh Do
##     Application::  geneclust
##
###############################################################################
#tmp <- 1;
#err <- function(){write.table(tmp,paste(c(GChome,'errorfile',sep='/')))}
#options(error=err);

source(paste(GCsplus,'initstandalone.s',sep='/'));

print(nclst)
print(percentToShave)
print(nperm)
print(gapTolerance)
print(fname)
print(percentSupervision)
print(classfile)
dir.create('output')
if (demorawmode == 0)  {
source(paste(GCsplus,"GCRawData.s",sep="/"));
GCRawData.func(nclst,
              percentToShave,
              nperm,
               gapTolerance, 
               fname,
               percentSupervision,
               classfile); }
if (demorawmode == 1)
 { model <- model+1;
switch(model,
source(paste(GCsplus, "GCDemoBinary.s",sep='/')),
source(paste(GCsplus, "GCDemoPlaid1a.s",sep='/')),
source(paste(GCsplus, "GCDemoPlaid1b.s",sep='/')),
source(paste(GCsplus, "GCDemoPlaid1c.s",sep='/')),
source(paste(GCsplus, "GCDemoPlaid1d.s",sep='/')),
source(paste(GCsplus, "GCDemoPlaid1e.s",sep='/')),
source(paste(GCsplus, "GCDemoPlaid1f.s",sep='/')),
source(paste(GCsplus, "GCDemoPlaid1g.s",sep='/')),
source(paste(GCsplus, "GCDemoPlaid2.s",sep='/')),
source(paste(GCsplus, "GCDemoPlaid3.s",sep='/')));
switch(model,
 GCDemoBinary.func(nclst,percentToShave,nperm,gapTolerance,N,p,a,noise,df,percentSupervision,classfile),
GCDemoPlaid1a.func(nclst,percentToShave,nperm,gapTolerance,N,p,a,noise,df,percentSupervision,classfile),
GCDemoPlaid1b.func(nclst,percentToShave,nperm,gapTolerance,N,p,a,noise,df,percentSupervision,classfile),
GCDemoPlaid1c.func(nclst,percentToShave,nperm,gapTolerance,N,p,a,noise,df,percentSupervision,classfile),
GCDemoPlaid1d.func(nclst,percentToShave,nperm,gapTolerance,N,p,a,noise,df,percentSupervision,classfile),
GCDemoPlaid1e.func(nclst,percentToShave,nperm,gapTolerance,N,p,a,noise,df,percentSupervision,classfile),
GCDemoPlaid1f.func(nclst,percentToShave,nperm,gapTolerance,N,p,a,noise,df,percentSupervision,classfile),
GCDemoPlaid1g.func(nclst,percentToShave,nperm,gapTolerance,N,p,a,noise,df,percentSupervision,classfile),
GCDemoPlaid2.func(nclst,percentToShave,nperm,gapTolerance,N,p,a,noise,df,percentSupervision,classfile),
GCDemoPlaid3.func(nclst,percentToShave,nperm,gapTolerance,N,p,a,noise,df,percentSupervision,classfile)); }

x<-list.files('output');
file.copy(paste('./output',x,sep="/"),paste(GeneclustHome,"output",x,sep="/"));
unlink('output',recursive=TRUE);
#start an infinite loop and wait for the GUI to terminate rterm.exe
S <- 'game over';
write.table(S,paste(GeneclustHome,'fin001',sep='/'));
while (TRUE) {}
